;    fuel.asm
	NOLIST
CONVDC	macro	
;""  ,
;   , 
;   
;   
	movf	DCD,W
	andlw	B'00001100'
	addwf	DCD,W
	movwf   DCD
	addwf	DCD,W
	movwf	DCD
	endm

SETTRIS	macro	A,B
	bsf	STATUS,RP0
	movlw	A
	movwf	TRISA
	movlw	B
	movwf	TRISB
	bcf	STATUS,RP0
	endm

EEWRITE	macro ee,dd
;   ee   dd
	local	EEW1
	bsf	STATUS,RP0
	movlw	ee
	movwf	EEADR
	bcf	STATUS,RP0
	movfw	dd		
	bsf	STATUS,RP0
	movwf	EEDATA
	bsf	EECON1,WREN
	movlw	H'55'
	movwf	EECON2
	movlw	H'AA'
	movwf	EECON2
	bsf	EECON1,WR
EEW1	btfsc	EECON1,WR
	goto	EEW1
	bcf	STATUS,RP0
	endm

PWMSet	macro
; PWM
	bsf	STATUS,RP0
	movlw	.255
	movwf	PR2
	bcf	STATUS,RP0
	movlw	.127
	movwf	U_OLD
	movwf	U_NEW
	movwf	CCPR1L
	movlw	B'00000100'
	movwf	T2CON
	movlw	H'0F'
	movwf	CCP1CON
	endm

EXP_INC	macro ;  
	movfw	EXP_T	;    
	addlw	-9	;  9,   
	BZ	CR10	;   ,
	incf	EXP_T,1	;  -  
	goto	EXP_INC_END	;  1  .
CR10	clrf	EXP_T	;  9 - 0   
	movfw	EXP_E	;  1  ...
	addlw	-9
	BZ	CR100
	incf	EXP_E,1
	goto	EXP_INC_END
CR100	clrf	EXP_E	; -  .
	movfw	EXP_D
	addlw	-9
	BZ	CR1K
	incf	EXP_D,1
	goto	EXP_INC_END
CR1K	clrf	EXP_D	
EXP_INC_END		; 
	endm

TNK_DEC	macro	;    

	movf	TNK_T,1	;    - 0,
	BZ	BR10	;  ,
	decf	TNK_T,1	;  -  
	goto	TNK_DEC_END	;  1  .
BR10	movlw	9	;  0 - 9  
	movwf	TNK_T	;  1  ...
	movf	TNK_E,1
	BZ	BR100
	decf	TNK_E,1
	goto	TNK_DEC_END
BR100	movlw	9	;  -  .
	movwf	TNK_E
	movf	TNK_D,1
	BZ	BR1K
	decf	TNK_D,1
	goto	TNK_DEC_END
BR1K	clrf	TNK_D	;    
	clrf	TNK_E
	clrf	TNK_T
TNK_DEC_END
	endm

INCR	macro	A
	local	T001
	movfw	A
	addlw	-9
	btfss	STATUS,C
	addlw	.10
	movwf	A
	endm

add16c	macro	L,H,c
	movlw	Low(c)
	addwf	L,F
	btfsc	STATUS,C
	incf	H,F
	movlw	High(c)
	addwf	H,F
	endm

	LIST

